Subject: AW: [Sipping-tispan] Requirements 02e

From: "Jesske, R" <[email-masked]>
Date: Fri, 23 Sep 2005 12:49:33 +0200

In principle I have nothing against such an approach.
But what is in the case of diverting the communication.
So that the to header is different from the P-Asserted-Identity and the identity in the to header belongs not to the user where the communication was sent to originally?

Roland

> -----Ursprüngliche Nachricht-----
> Von: Bemmel, Jeroen van (Jeroen) [mailto:[email-masked]] 
> Gesendet: Freitag, 23. September 2005 12:34
> An: Jesske, Roland; [email-masked]; [email-masked]
> Cc: [email-masked]
> Betreff: RE: [Sipping-tispan] Requirements 02e
> 
> 
> > So we want the have the same within SIP. In forward direction 
> > we have the From header and the P-Asserted-Identity. But in 
> > Backward direction the equivalent to the From header is missing.
> > 
> > So we need such an identity header for the backward direction 
> > setup from the callee.
> > 
> > Roland
> 
> What if the callee would simply add a parameter to the To 
> header? Something like
> To: 
> <sip:[email-masked]>;tag=25425741;identity=[email-masked]
> 
> Jeroen
> 

_______________________________________________
Sipping-tispan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sipping-tispan

---

From: Miguel Garcia <[email-masked]>
Date: Fri, 23 Sep 2005 14:32:29 +0300

RFC 3261 has in Section 8.2.6.2 procedures for dealing with the To 
header in responses. Essentially, it is required to keep the same URI 
and the tag if present (if not present, the UAS must create a new one).

However, I didn't find any procedures indicated whether a UAS can add a 
new parameter to the To header in a response. And if that was possible, 
will it be correctly used by the UAC for displaying purposes?

/Miguel

-- 
Miguel A. Garcia           tel:+358-50-4804586
sip:[email-masked]
Nokia Research Center      Helsinki, Finland